FORMAT: 1A
HOST: http://apiblueprint.vapi.devorch.com/

# Group Vectorapi
Group of all vectorapi-related resources.

## Artist's TVSeries Mapping

This resource is to save artist's TV series mapping info. One artist can have one tv series associated to it.
This is a child table of tv_series, where we can GET,POST,DELETE artist's TV series info .

## Get [/vectorapi/artisttvseries/get{?artistId,access_token}]

### Get [GET]

+ Parameters

    + access_token (required, varchar, `some token`)
    + artistId (required, number, `39143`)

+ Request JSON Message

    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body

        {
          "envelope": {
            "header": {
              "apiVersion": "1.0",
              "baseUrl": "vapi.alpha.devorch.com",
              "httpStatusCode": 200
            },
            "request": "artisttvseries/get?params=vectorapi&artisttvseries&get&json&39143&<some_token>",
            "response": {
              "artisttvseries":
                {
                  "seriesId": 2,
                  "seriesName": "test2",
                  "artistId": 39143
                }
            }
          }
        }

## Post [/vectorapi/artisttvseries/post{?artistId,seriesId,access_token}]

### Post Request to store artist's tv series mapping for existing series [POST]

+ Parameters

    + artistId (number, `52542`)
    + seriesId (number, `1`)
    + access_token (varchar, `some token`)

+ Request JSON Message

    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body

        {
          "envelope": {
            "header": {
              "apiVersion": "1.0",
              "baseUrl": "vapi.alpha.devorch.com",
              "httpStatusCode": 200
            },
            "request": "artisttvseries/post?params=vectorapi&artisttvseries&post&json&52542&1&<some_token>",
            "response": {
              "seriesId": 1,
              "artistId": 52542,
              "artisttvseriesId": 115
            }
          }
        }

## Delete [/vectorapi/artisttvseries/delete{?artistId,access_token}]

### Delete [DELETE]

+ Parameters

    + artistId (number, `39143`)
    + access_token (varchar, `some token`)

+ Request JSON Message

    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body

        {
          "envelope": {
            "header": {
              "apiVersion": "1.0",
              "baseUrl": "vapi.alpha.devorch.com",
              "httpStatusCode": 200
            },
            "request": "artisttvseries/delete?params=vectorapi&artisttvseries&delete&json&39143&<some_token>",
            "response": {
                "artistId" : 39143,
                "delete" : true
                    }
          }
        }
